%define pypi_name django-discover-runner


Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 2
Summary:        A Django test runner based on unittest2's test discovery
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/django-discover-runner/%{version}
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-unittest2

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.

%package -n python3-django-discover-runner
Summary:        A Django test runner based on unittest2's test discovery
Group:          Development/Python
Requires:       python3-unittest2

%description -n python3-django-discover-runner
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.
This package includes Python 3 build of django-discover-runner.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/discover_runner
%{python2_sitelib}/django_discover_runner-%{version}-py?.?.egg-info

%files -n python3-django-discover-runner
%doc README.rst
%license LICENSE
%{python3_sitelib}/discover_runner
%{python3_sitelib}/django_discover_runner-%{version}-py?.?.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 971236
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 1.0-1.mga6
+ Revision: 890008
- imported package python-django-discover-runner

